---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma04t003a.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2B10, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51420, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53360, symBinAddr: 0xA130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53750, symBinAddr: 0xA520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x546F0, symBinAddr: 0xB4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54700, symBinAddr: 0xB4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51090, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51094, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51098, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x511F0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x512A8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x512AC, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x512B0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x512B4, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x512B8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x512C0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x512D0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x512D8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x512E0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x512E8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x512F0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x512F8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL21ObjectFreeEventsCount, symObjAddr: 0x5133C, symBinAddr: 0x81CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51340, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL12testedObject, symObjAddr: 0x51380, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9556, offset: 0x9556, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x17B0, symSize: 0x80 }
  - { offsetInCU: 0x95EB, offset: 0x95EB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1700, symSize: 0xB0 }
  - { offsetInCU: 0x9646, offset: 0x9646, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1600, symSize: 0x100 }
  - { offsetInCU: 0x98D9, offset: 0x98D9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1830, symSize: 0xC0 }
  - { offsetInCU: 0x992B, offset: 0x992B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x18F0, symSize: 0x220 }
  - { offsetInCU: 0x9B10, offset: 0x9B10, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1B10, symSize: 0xA0 }
  - { offsetInCU: 0x9BC3, offset: 0x9BC3, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1BB0, symSize: 0x110 }
  - { offsetInCU: 0x9CB9, offset: 0x9CB9, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1CC0, symSize: 0x150 }
  - { offsetInCU: 0x9E16, offset: 0x9E16, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1E10, symSize: 0x30 }
  - { offsetInCU: 0x9EF7, offset: 0x9EF7, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1E40, symSize: 0x150 }
  - { offsetInCU: 0xA0EF, offset: 0xA0EF, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1F90, symSize: 0x160 }
  - { offsetInCU: 0xA3AF, offset: 0xA3AF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x20F0, symSize: 0x4A0 }
  - { offsetInCU: 0xA622, offset: 0xA622, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2590, symSize: 0x1B0 }
  - { offsetInCU: 0xA83D, offset: 0xA83D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2740, symSize: 0xA0 }
  - { offsetInCU: 0xA90C, offset: 0xA90C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x27E0, symSize: 0x20 }
  - { offsetInCU: 0xA943, offset: 0xA943, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2800, symSize: 0x20 }
  - { offsetInCU: 0xA97A, offset: 0xA97A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2820, symSize: 0x20 }
  - { offsetInCU: 0xAB4D, offset: 0xAB4D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2840, symSize: 0x1A0 }
  - { offsetInCU: 0xAE69, offset: 0xAE69, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x29E0, symSize: 0x130 }
  - { offsetInCU: 0xB019, offset: 0xB019, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2D80, symSize: 0x1B0 }
  - { offsetInCU: 0xB308, offset: 0xB308, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2F30, symSize: 0x80 }
  - { offsetInCU: 0xB3D1, offset: 0xB3D1, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2FB0, symSize: 0x6A0 }
  - { offsetInCU: 0xBF66, offset: 0xBF66, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA890, symBinAddr: 0x4ED0, symSize: 0xB0 }
  - { offsetInCU: 0xBFDD, offset: 0xBFDD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3650, symSize: 0x70 }
  - { offsetInCU: 0xC0D1, offset: 0xC0D1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x36C0, symSize: 0xA0 }
  - { offsetInCU: 0xC1DC, offset: 0xC1DC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x3760, symSize: 0x1F0 }
  - { offsetInCU: 0xC429, offset: 0xC429, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x3950, symSize: 0x310 }
  - { offsetInCU: 0xC8C5, offset: 0xC8C5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3C60, symSize: 0x40 }
  - { offsetInCU: 0xC9BB, offset: 0xC9BB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3CA0, symSize: 0x2B0 }
  - { offsetInCU: 0xCD61, offset: 0xCD61, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3F50, symSize: 0xC0 }
  - { offsetInCU: 0xCEA7, offset: 0xCEA7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4010, symSize: 0x10 }
  - { offsetInCU: 0xCF69, offset: 0xCF69, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4020, symSize: 0x220 }
  - { offsetInCU: 0xD266, offset: 0xD266, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4240, symSize: 0x10 }
  - { offsetInCU: 0xD2C3, offset: 0xD2C3, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4250, symSize: 0x370 }
  - { offsetInCU: 0xD6EB, offset: 0xD6EB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F80, symBinAddr: 0x45C0, symSize: 0x10 }
  - { offsetInCU: 0xD79C, offset: 0xD79C, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0x9F90, symBinAddr: 0x45D0, symSize: 0x530 }
  - { offsetInCU: 0xD92E, offset: 0xD92E, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA4C0, symBinAddr: 0x4B00, symSize: 0x60 }
  - { offsetInCU: 0xDA4E, offset: 0xDA4E, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA520, symBinAddr: 0x4B60, symSize: 0x370 }
  - { offsetInCU: 0xDEC0, offset: 0xDEC0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA940, symBinAddr: 0x4F80, symSize: 0x36A }
...
